Bug 450007 - cannot remove shared fence device through luci: "no node name was given" error
Summary: cannot remove shared fence device through luci: "no node name was given" error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.1
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-04 18:24 UTC by Brent Holden
Modified: 2009-09-02 11:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 11:51:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1381 0 normal SHIPPED_LIVE conga bug-fix and enhancement update 2009-09-01 11:54:44 UTC

Description Brent Holden 2008-06-04 18:24:30 UTC
Description:

I'm having a problem removing a shared fence device through luci.  When simply I
add a shared fence device it will insert into the configuration correctly. 
However if I try to remove that newly created shared device by using the "Delete
this fence device" button, it will come back with an error saying:

The following errors occurred:

    * No node name was given


I can remove the device in the cluster.conf and manually push it out to the
other cluster nodes and that works.  I have also tried adding it to a node as a
fencing device and then deleting it with the same results.  I have also tried
multiple fencing device types.

This is on luci-0.10.0-6.el5 under RHEL 5.1.


Steps to Reproduce:
1. Add a fencing device under "Shared Fence Devices"
2. Click on newly created fence device
3. Press "Delete this fence device"
4. Enjoy above error 
  

Expected results:

Device should be removed from config propagated throughout the cluster.

Comment 3 Brian Brock 2009-07-27 16:00:22 UTC
fix verified in luci-0.12.2-6.el5

Comment 5 errata-xmlrpc 2009-09-02 11:51:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1381.html


Note You need to log in before you can comment on or make changes to this bug.